const testsAtomsContext = require.context('./atoms/', true, /\.js$/),
    testsComponentsContext = require.context('./components/', true, /\.js$/),
    testsEtcContext = require.context('./etc/', true, /\.js$/),
    testsTransformsContext = require.context('./transforms/', true, /\.js$/),

    atomsContext = require.context('../atoms/', true, /\.(js|jsx)$/),
    componentsContext = require.context('../components/', true, /\.(js|jsx)$/),
    etcContext = require.context('../etc/', true, /\.(js|jsx)$/),
    transformsContext = require.context('../transforms/', true, /\.(js|jsx)$/);

testsAtomsContext.keys().forEach(testsAtomsContext);
testsComponentsContext.keys().forEach(testsComponentsContext);
testsEtcContext.keys().forEach(testsEtcContext);
testsTransformsContext.keys().forEach(testsTransformsContext);

atomsContext.keys().forEach(atomsContext);
componentsContext.keys().forEach(componentsContext);
etcContext.keys().forEach(etcContext);
transformsContext.keys().forEach(transformsContext);
